html {
    font-family: Arial, Helvetica, sans-serif;
}

body {
    margin: 0;
    background-color: #f3eded;
}

.container {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: white;
    margin: auto;
    max-width: 1000px;
    overflow: auto;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.26);
    border-radius: 12px;
    padding: 2rem;
}

.footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
}

.rot {
    background-color: rgba(255, 0, 0, 0.6);
}

.gruen {
    background-color: rgba(0, 255, 0, 0.6);
}

.gelb {
    background-color: rgba(255, 255, 0.6);
}

h2,
h3 {
    font-weight: bold;
    color: black;
}

h2 {
    font-size: 1.2rem;
    text-align: center;
    margin-bottom: 0rem;
}

h3 {
    font-size: 1.0rem;
    text-align: left;
    padding-bottom: 0;
}

p {
    font-size: 1rem;
}

a {
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

header, footer {
    text-align: -webkit-center;
}

header, footer, .navbar {
    background-color: #333;
}

footer .dropdown-content{
    top: -230%;
}

.navbar {
    max-width: 1000px;
    overflow: hidden;
    display: grid;
    grid-template-columns: auto;
    grid-auto-flow: column;
    justify-items: center;
    align-items: center;
    height: 75px;

    * {
        height: 100%;
        width: 100%;
    }

    a {
        font-size: 18px;
        color: white;
        text-align: center;
        align-content: center;
        display: inline-block;
        padding-left: 16px;
        padding-right: 16px;
        -moz-box-sizing: border-box; 
        box-sizing: border-box;
        text-decoration: none;
    }

    span {
        font-size: 20px;
        color: white;
        text-align: center;
        align-content: center;
        display: inline-block;
        padding-left: 16px;
        padding-right: 16px;
        -moz-box-sizing: border-box; 
        box-sizing: border-box;
        text-decoration: none;
    }

    button {
        font-size: 20px;
        color: white;
        cursor: pointer;
        border: none;
        outline: none;
        background-color: inherit;
        padding-left: 16px;
        padding-right: 16px;
        -moz-box-sizing: border-box; 
        box-sizing: border-box;
        font-family: inherit;
    }

    a:hover, .dropdown:hover .dropbtn {
        background-color: red;
    }

    .dropdown-content {
        justify-items: center;
        display: none;
        position: absolute;
        background-color: #f9f9f9;
        height: fit-content;
        width: fit-content;
        box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
        z-index: 1;
        padding: 10px;
    }
    
    .dropdown-content a {
        float: none;
        color: black;
        padding: 12px 16px;
        text-decoration: none;
        display: block;
        text-align: left;
    }

    .dropdown-content a:hover {
        background-color: #ddd;
    }
    
    .dropdown:hover .dropdown-content {
        display: block;
    }
}

details {
    padding: 5px 20px 5px 20px;
}

summary {
    cursor: pointer;
    font-weight: bold;
}


thead {
    background-color: lightgrey;
}

tbody {
    background-color: whitesmoke;
}

th {
    padding: 1px;
}

td {
    padding: 5px;
    text-align: right;
}

ul {
    list-style: none;
    background-color: #eeeeee;
}

li {
    margin: 0.2rem 0;
    text-align: left;
    font-size: 1rem;
    border-bottom: 1px solid #ccc;
    padding-top: 0.2rem;
    padding-bottom: 0.2rem;
}


li a:hover,
li a:active {
    color: #7e0154;
}

input[type=button],
input[type=submit],
input[type=reset] {
    font-weight: bold;
}